//
// BeInternetCentral
// TopicView class
//
// (c) 1997 Hubert Figuiere
// figuiere@kagi.com
//
// 30june1997



#ifndef _TOPIC_VIEW_H_
#define _TOPIC_VIEW_H_

#include <View.h>

class TopicView
	: public BView
{
	public:
		TopicView(BRect frame, const char * name);
virtual ~TopicView();

virtual void AttachedToWindow(void);
virtual void MessageReceived(BMessage * msg);

virtual void CurrentPersonalityChanged(BMessage * msg) = 0;	//to be overriden
		char * CurrentPersonality() const
			{ return mCurrentPersonality; };
	protected:
		BBox * mBox;
		char * mCurrentPersonality;
static	void ReloadPersonalityList(BPopUpMenu * personalityMenu, const char * currentPersonality);
	private:
		char * mName;
};


#endif
